Package org.springframework.http.converter.support

# Class AllEncompassingFormHttpMessageConverter

java.lang.Object
org.springframework.http.converter.FormHttpMessageConverter
org.springframework.http.converter.support.AllEncompassingFormHttpMessageConverter

All Implemented Interfaces:
  `HttpMessageConverter<org.springframework.util.MultiValueMap<String,?>>`

public class AllEncompassingFormHttpMessageConverter extends FormHttpMessageConverter
Extension of `FormHttpMessageConverter`, adding support for XML, JSON, Smile, CBOR, Protobuf and Yaml based parts when related libraries are present in the classpath.

Since:
  3.2
Author:
  Rossen Stoyanchev, Juergen Hoeller, Sebastien Deleuze

## Field Summary

### Fields inherited from class org.springframework.http.converter.FormHttpMessageConverter

`DEFAULT_CHARSET`

## Constructor Summary

Constructors
Constructor
Description
`AllEncompassingFormHttpMessageConverter()`

## Method Summary

### Methods inherited from class org.springframework.http.converter.FormHttpMessageConverter

`addPartConverter, addSupportedMediaTypes, canRead, canWrite, generateMultipartBoundary, getFilename, getFormContentType, getHttpEntity, getPartConverters, getSupportedMediaTypes, read, serializeForm, setCharset, setMultipartCharset, setPartConverters, setSupportedMediaTypes, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.http.converter.HttpMessageConverter

`getSupportedMediaTypes`

## Constructor Details

### AllEncompassingFormHttpMessageConverter

public AllEncompassingFormHttpMessageConverter()